org.keycloak.services.resources.admin

## Class AdminRoot

- java.lang.Object
- - org.keycloak.services.resources.admin.AdminRoot

-     @Path(value="/admin")
      public class AdminRoot
      extends Object

  Root resource for admin console and admin REST API
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientConnection` | `clientConnection`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected org.jboss.resteasy.spi.HttpRequest` | `request`
    `protected org.jboss.resteasy.spi.HttpResponse` | `response`
    `protected KeycloakSession` | `session`
    `protected TokenManager` | `tokenManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminRoot()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.ws.rs.core.UriBuilder` | `adminBaseUrl(javax.ws.rs.core.UriBuilder base)`
    `static javax.ws.rs.core.UriBuilder` | `adminBaseUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `static javax.ws.rs.core.UriBuilder` | `adminConsoleUrl(javax.ws.rs.core.UriBuilder base)`
    `static javax.ws.rs.core.UriBuilder` | `adminConsoleUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `protected AdminAuth` | `authenticateRealmAdminRequest(javax.ws.rs.core.HttpHeaders headers)`
    `AdminConsole` | `getAdminConsole(String name)` path to realm admin console ui
    `static Properties` | `getMessages(KeycloakSession session, RealmModel realm, String lang)`
    `static Properties` | `getMessages(KeycloakSession session, RealmModel realm, String lang, String... bundles)`
    `Object` | `getRealmsAdmin(javax.ws.rs.core.HttpHeaders headers)` Base Path to realm admin REST interface
    `Object` | `getServerInfo(javax.ws.rs.core.HttpHeaders headers)` General information about the server
    `static Theme` | `getTheme(KeycloakSession session, RealmModel realm)`
    `protected RealmModel` | `locateRealm(String name, RealmManager realmManager)`
    `javax.ws.rs.core.Response` | `masterRealmAdminConsoleRedirect()` Convenience path to master realm admin console
    `javax.ws.rs.core.Response` | `masterRealmAdminConsoleRedirectHtml()` Convenience path to master realm admin console
    `static javax.ws.rs.core.UriBuilder` | `realmsUrl(javax.ws.rs.core.UriBuilder base)`
    `static javax.ws.rs.core.UriBuilder` | `realmsUrl(javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

    - #### request

          @Context
          protected org.jboss.resteasy.spi.HttpRequest request

    - #### response

          @Context
          protected org.jboss.resteasy.spi.HttpResponse response

    - #### tokenManager

          protected TokenManager tokenManager

    - #### session

          @Context
          protected KeycloakSession session

  - ### Constructor Detail

    - #### AdminRoot

          public AdminRoot()

  - ### Method Detail

    - #### adminBaseUrl

          public static javax.ws.rs.core.UriBuilder adminBaseUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### adminBaseUrl

          public static javax.ws.rs.core.UriBuilder adminBaseUrl(javax.ws.rs.core.UriBuilder base)

    - #### masterRealmAdminConsoleRedirect

          @GET
          public javax.ws.rs.core.Response masterRealmAdminConsoleRedirect()

      Convenience path to master realm admin console
      Returns:

    - #### masterRealmAdminConsoleRedirectHtml

          @Path(value="index.{html:html}")
           @GET
          public javax.ws.rs.core.Response masterRealmAdminConsoleRedirectHtml()

      Convenience path to master realm admin console
      Returns:

    - #### locateRealm

          protected RealmModel locateRealm(String name,
                                           RealmManager realmManager)

    - #### adminConsoleUrl

          public static javax.ws.rs.core.UriBuilder adminConsoleUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### adminConsoleUrl

          public static javax.ws.rs.core.UriBuilder adminConsoleUrl(javax.ws.rs.core.UriBuilder base)

    - #### getAdminConsole

          @Path(value="{realm}/console")
          public AdminConsole getAdminConsole(@PathParam(value="realm")
                                                                             String name)

      path to realm admin console ui
      Parameters:
        `name` - Realm name (not id!)
      Returns:

    - #### authenticateRealmAdminRequest

          protected AdminAuth authenticateRealmAdminRequest(javax.ws.rs.core.HttpHeaders headers)

    - #### realmsUrl

          public static javax.ws.rs.core.UriBuilder realmsUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### realmsUrl

          public static javax.ws.rs.core.UriBuilder realmsUrl(javax.ws.rs.core.UriBuilder base)

    - #### getRealmsAdmin

          @Path(value="realms")
          public Object getRealmsAdmin(@Context
                                                             javax.ws.rs.core.HttpHeaders headers)

      Base Path to realm admin REST interface
      Parameters:
        `headers` -
      Returns:

    - #### getServerInfo

          @Path(value="serverinfo")
          public Object getServerInfo(@Context
                                                                javax.ws.rs.core.HttpHeaders headers)

      General information about the server
      Parameters:
        `headers` -
      Returns:

    - #### getTheme

          public static Theme getTheme(KeycloakSession session,
                                       RealmModel realm)
                                throws IOException

      Throws:
        `IOException`

    - #### getMessages

          public static Properties getMessages(KeycloakSession session,
                                               RealmModel realm,
                                               String lang)

    - #### getMessages

          public static Properties getMessages(KeycloakSession session,
                                               RealmModel realm,
                                               String lang,
                                               String... bundles)

Copyright © 2020 JBoss by Red Hat. All rights reserved.